Bug 11430 - если не вводить VEID, пишет "Контейнер с таким ID уже существует"
: если не вводить VEID, пишет "Контейнер с таким ID уже существует"
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-ovz)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-09 19:22 by
Modified: 2007-08-07 11:09 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-09 19:22:41
Если ничего не вводить "ID контейнера (дополнительно)", то при нажатии
"создать"
вываливается ошибка:
"Ошибка
Бакенд

Контейнер с таким ID уже существует"

alterator-ovz-0.3-alt2, "свежеустановленный" server-0406
------- Comment #1 From 2007-04-15 23:31:18 -------
Fixed in 0.3-alt4.
------- Comment #2 From 2007-04-16 22:46:49 -------
Похоже что не очень.

grep -qs "^$in_veid$"

1. Надо проверять дополнительные параметры на -n "$in_XXX", а то будет '^$'
2. Не надо ли $, который конец строки, заескейпить?
------- Comment #3 From 2007-04-20 14:10:11 -------
Вчера это было исправлено, ждём пакет.
------- Comment #4 From 2007-04-21 04:36:44 -------
fixed in 0.4-alt1